## parrot 2.0.0

=== examples/compilers/Makefile ===
# $Id$

# Generate shared libs, which will be used as loadable compilers

all: japhc

japhc: japhc.c
	$(CC) -shared -fpic japhc.c -o ../../runtime/parrot/dynext/japhc.so -g -Wall -I../../include

=== examples/embed/Makefile ===
# Copyright (C) 2009, Parrot Foundation.
## $Id$

# To build this example with an installed parrot:
#
# PATH=/parrot_install_directory/bin:$PATH
# make

# This assumes a posix environment with sh style shell.
# May need changes with other shells or other make tools.
# For MSVC use see nmake -f Makefile.msvc (may not be up-to-date)

CC = $(shell parrot_config cc)
CCFLAGS = $(shell parrot_config ccflags)
LD = $(shell parrot_config ld)
LD_OUT = $(shell parrot_config ld_out)
LINKFLAGS = $(shell parrot_config inst_libparrot_linkflags) $(shell parrot_config rpath_lib)
O = $(shell parrot_config o)
EXE = $(shell parrot_config exe)

VERSIONDIR = $(shell parrot_config versiondir)
INCLUDEDIR = $(shell parrot_config includedir)$(VERSIONDIR)
LIBDIR = $(shell parrot_config libdir)$(VERSIONDIR)
CONFIG = $(LIBDIR)/parrot_config

all: cotorra$(EXE)

#-----------------------------------------------------------------------

cotorra$(O): cotorra.c
	$(CC) $(CCFLAGS) -c -I $(INCLUDEDIR) cotorra.c

cotorra$(EXE): cotorra$(O)
	$(LD) $(LD_OUT)cotorra$(EXE) cotorra$(O) $(CONFIG)$(O) $(LINKFLAGS)

#-----------------------------------------------------------------------

clean:
	rm -f cotorra$(EXE) cotorra$(O)

=== examples/tools/Makefile ===
#
# Copyright (C) 2009, Parrot Foundation.
# * $Id$
#
# Makefile for pbc_checker

CXX= g++
CXXFLAGS = -Wall -Wextra
LD = g++

pbc_checker: pbc_checker.o
	$(LD) -o pbc_checker pbc_checker.o

pbc_checker.o: pbc_checker.cpp
	$(CXX) $(CXXFLAGS) -c pbc_checker.cpp

clean:
	rm -f pbc_checker
	rm -f *.o

# End

## parrot 2.6.0

=== examples/embed/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2009, Parrot Foundation.
-## $Id$
+## $Id: Makefile 46239 2010-05-03 17:03:35Z NotFound $
 
 # To build this example with an installed parrot:
 #
@@ -12,6 +12,7 @@
 
 CC = $(shell parrot_config cc)
 CCFLAGS = $(shell parrot_config ccflags)
+CCWARN = $(shell parrot_config ccwarn)
 LD = $(shell parrot_config ld)
 LD_OUT = $(shell parrot_config ld_out)
 LINKFLAGS = $(shell parrot_config inst_libparrot_linkflags) $(shell parrot_config rpath_lib)
@@ -28,7 +29,7 @@
 #-----------------------------------------------------------------------
 
 cotorra$(O): cotorra.c
-	$(CC) $(CCFLAGS) -c -I $(INCLUDEDIR) cotorra.c
+	$(CC) $(CCFLAGS) $(CCWARN) -c -I $(INCLUDEDIR) cotorra.c
 
 cotorra$(EXE): cotorra$(O)
 	$(LD) $(LD_OUT)cotorra$(EXE) cotorra$(O) $(CONFIG)$(O) $(LINKFLAGS)

## parrot 3.6.0

=== debian/changelog ===
parrot (3.6.0-1) unstable; urgency=low
  * New upstream release
  * debian/watch:
    - Modified regular expression to capture numbered directory name
      (patch from Dominique Dumont).
  * debian/rules:
    - Split build-arch and build-indep, resolving lintian warning.
    - Update path to pbc_disassemble for manpage generation (patch
      from Dominique Dumont).
  * debian/patches:
    - Added patch 02_fix_perl_interpreter_path.patch, resolving
      lintian warnings.
  * debian/control:
    - Added DM-Upload-Allowed field.

 -- Allison Randal <allison@parrot.org>  Sat, 30 Jul 2011 18:45:03 +0200

parrot (3.3.0-1) unstable; urgency=low
  * New upstream release (Closes: #612664)
  * debian/control.in:
    - Bumped Standards-Version to 3.9.2.
    - Removed dependency on quilt (patch from Dominique Dumont)
    - Added Homepage (patch from Alessandro Ghedini)
  * debian/rules
    - Patch from upstream explicitly sets mandir to /usr/share/man,
      to comply with Debian policy (Closes: #610994)
    - Updated locations of parrot_debugger, pbc_dump, and
      pbc_merge in new release for manpage generation (patch from
      Kyle Willmon and Dominique Dumont)
    - Removed explicit references to quilt, patch application is
      handled by dpkg-source with source package format "3.0 (quilt)"
      (patch from Dominique Dumont)
  * debian/patches:
    - Removed 04_fix_opsc_man.patch, change included upstream (patch
      from Kyle Willmon)
    - Removed 05_fix_gc_ftbfs_ia64.patch, change included
      upstream (patch from Kyle Willmon and Dominique Dumont)
    - Added patch description to 03_fix_nqp_man.patch.
    - Added typo patch 01_fix_spelling_errors.patch, caught by lintian
      (patch from Alessandro Ghedini)
  * debian/copyright:
    - Updated the format to DEP5 (patch from Dominique Dumont)
  * debian/source:
    - Added source package format "3.0 (quilt)" (patch from Dominique
      Dumont)
  * debian/README.source:
    - Removed, no longer needed with source package format "3.0 (quilt)"
      (patch from Dominique Dumont)
  * debian/parrot-devel.install:
    - Removed runtime library Protoobject.pbc, no longer exists upstream.
  * debian/parrot-doc:
    - Replaced DEPRECATED.pod with api.yaml, filename and format
      changed upstream.
  * debian/libparrot3.3.0.symbols:
    - Added *.symbols file (patch from Alessandro Ghedini)

 -- Allison Randal <allison@parrot.org>  Sun, 01 May 2011 19:18:49 +0200

parrot (2.9.1-1) unstable; urgency=low
  * New upstream release (Closes: #601704)
  * debian/rules:
    - Fix script-not-executable lintian warning.
  * debian/patches:
    - Added 05_fix_gc_ftbfs_ia64.patch, from upstream, resolve
      FTBFS on ia64 arch, missing argument to trace_mem_block
      function (Closes: #597138).

 -- Allison Randal <allison@parrot.org>  Sat, 27 Nov 2010 17:17:58 -0800

parrot (2.6.0-1) unstable; urgency=low
  * New upstream release
  * debian/parrot-devel.install.in:
    - Applied patch from Matt Kraai to install new NQP supporting
      libraries and install new Opcode generation tool ops2c and
      supporting library opsc.pbc.
  * debian/patches:
    - Added 04_fix_opsc_man.patch, added README for new ops2c
      binary.
  * debian/rules:
    - Generate manpage from the ops2c README file.

 -- Allison Randal <allison@parrot.org>  Sat, 31 Jul 2010 18:32:07 +0100

parrot (2.3.0-1) unstable; urgency=low
  * New upstream release
  * debian/patches:
    - Removed 01_fix_doc_install.patch, change included upstream.
    - Removed 02_fix_man_whatis.patch, change included upstream.
  * control.in
    - Removed package dependency on libgdbm-dev, no longer used.

 -- Allison Randal <allison@parrot.org>  Tue, 27 Apr 2010 18:03:12 +0100

parrot (2.0.0-1) unstable; urgency=low
  * New upstream release
  * parrot-devel.install.in
    - Install parrot-nqp binary and supporting library.
  * debian/patches:
    - Added 01_fix_doc_install.patch, from upstream, missing DESTDIR
      flag to new 'install-doc' target needed for package build.
    - Added 02_fix_man_whatis.patch, from upstream, resolve parsing
      errors in pbc_to_exe and parrot_debugger manpages.
    - Added 03_fix_nqp_man.patch, added manpage for new parrot-nqp
      binary.
  * debian/control.in:
    - Bumped Standards-Version to 3.8.4.
    - Added quilt as Build-Depends for patches.
  * debian/rules:
    - Changed install target from 'install-dev' to 'install', they are
      now identical.
    - Added LD_LIBRARY_PATH to 'install' target, needed for the new parrot-nqp
      binary.
    - Added quilt support for patches.
    - Generate and install manpage for parrot-nqp binary.
  * debian/README.source:
    - Added for use of quilt patch system.
  * debian/copyright:
    - Updated copyright year.
    - Added copyright notice for external nqp files in ext/.

 -- Allison Randal <allison@parrot.org>  Sun, 07 Feb 2010 14:26:29 +0000

parrot (1.4.0-1) unstable; urgency=low
  * New upstream release
  * debian/rules:
    - New upstream configuration option --disable-rpath allows packages to
      be built without rpath.
  * debian/parrot-devel.install.in
    - Install pbc_to_exe binary and supporting library.

 -- Allison Randal <allison@parrot.org>  Fri, 24 Jul 2009 23:54:07 -0700

parrot (1.0.0-1) unstable; urgency=low
  * New upstream release
  * debian/control.in:
    - Updated Description of all packages.
    - Bumped Standards-Version to 3.8.1
    - Add new packages parrot-minimal and parrot-devel
  * debian/rules:
    - Integrate Ubuntu packaging changes to automatically generate
      debian/control.
    - Re-order dh_installdeb in binary-arch to run after dh_makeshlibs and
      shlibdeps so that the library gets installed properly (patch from David
      Nusinow)
    - Move manpage generation to new packages. Rename parrot-debugger.1 to
      parrot_debugger.1 to match executable name. Generate parrot_config
      manpage from .pir source files (patch from David Nusinow)


=== debian/control ===
Source: parrot
Section: interpreters
Priority: optional
Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
Uploaders: Allison Randal <allison@parrot.org>, Nuno Carvalho <mestre.smash@gmail.com>, Patrick Michaud <pmichaud@pobox.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libreadline-dev
Standards-Version: 3.9.2
Homepage: http://parrot.org

Package: parrot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, parrot-minimal (= ${binary:Version})
Suggests: parrot-doc
Provides: parrot-test, parrot-data-dumper
Description: virtual machine for dynamic languages
 Parrot is a bytecode-based virtual machine designed for dynamic languages.
 Parrot hosts a variety of language implementations, including Tcl, Javascript,
 Ruby, Lua, Scheme, PHP, Python, Perl 6, and a .NET bytecode translator.

Package: parrot-minimal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: parrot ( << 1.0.0 )
Replaces: parrot ( << 1.0.0 )
Description: minimal install of the Parrot VM
 This package contains the core Parrot virtual machine. It's all that you need
 to get up and running in the average use case, and is sufficient to run most
 language implementations.

Package: libparrot3.6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parrot shared library
 This package contains the Parrot shared library, used by the Parrot virtual
 machine and by programs that embed Parrot.
 
Package: libparrot-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libparrot3.6.0 (= ${binary:Version}), parrot
Description: Parrot shared library development files
 This package contains header files and a static library, needed to develop
 applications which embed Parrot.

Package: parrot-doc
Architecture: all
Section: doc
Suggests: perl-doc
Depends: ${misc:Depends}
Description: Parrot documentation
 Parrot manual pages and raw Pod documentation. If you are developing a
 compiler or extensions for Parrot, you will need this. If you're only using a
 Parrot hosted language, the language-specific documentation is sufficient.

Package: parrot-devel
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, libparrot-dev, perl
Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
Conflicts: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
Replaces: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
Description: Parrot development tools
 This package contains development tools for the Parrot virtual machine. It is
 essential for developing language implementations to run on Parrot, but not
 needed for running languages once they've been installed.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g
VERSION = $(shell cat VERSION)
SOVERSION = $(VERSION)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CONTROL_FILES = \
  debian/control.in \
  debian/parrot.install.in \
  debian/parrot-minimal.install.in \
  debian/parrot-doc.install.in \
  debian/parrot-devel.install.in \
  debian/libparrot.install.in \
  debian/libparrot-dev.install.in

debian-control-stamp: $(CONTROL_FILES) VERSION
	for infile in $(CONTROL_FILES); do \
	    outfile=`echo $$infile | sed "s/\.in$$//"`; \
	    sed -e "s/@VERSION@/$(VERSION)/g" \
	        -e "s/@SOVERSION@/$(SOVERSION)/g" \
	            <$$infile >$$outfile; \
	done
	touch $@

configure: configure-stamp
configure-stamp: debian-control-stamp $(QUILT_STAMPFN)
	dh_testdir
	perl Configure.pl --prefix=/usr --mandir=/usr/share/man --disable-rpath
	touch configure-stamp

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 
	$(MAKE) installable LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}`pwd`/blib/lib
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 
	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" docs/running.pod debian/parrot.1
	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" tools/dev/parrot-config.pir debian/parrot_config.1
	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_dump/main.c debian/pbc_dump.1
	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_disassemble/main.c debian/pbc_disassemble.1
	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/parrot_debugger/main.c debian/parrot_debugger.1
	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_merge/main.c debian/pbc_merge.1
	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" tools/dev/pbc_to_exe.pir debian/pbc_to_exe.1
	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" ext/nqp-rx/parrot-nqp.pod debian/parrot-nqp.1
	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" compilers/opsc/README.pod debian/ops2c.1
	touch build-indep-stamp

clean: debian-control-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian-control-stamp debian/parrot.1 debian/parrot_config.1 debian/pbc_dump.1 debian/pbc_disassemble.1 debian/parrot-debugger.1 debian/pbc_merge.1 debian/libparrot$(SOVERSION).install src/main.o installable_pbc_to_exe ext/Parrot-Embed/Makefile.PL test.c test.ldo
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

debian/libparrot$(SOVERSION).install: debian/libparrot.install VERSION
	cp $< $@

install: build debian/libparrot$(SOVERSION).install
	dh_testdir
	dh_testroot
	dh_clean -k 
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}`pwd`/blib/lib
	$(MAKE) install-doc DESTDIR=$(CURDIR)/debian/tmp
	dh_installdirs
	find $(CURDIR)/debian/tmp -type f
	dh_install --sourcedir=$(CURDIR)/debian/tmp --list-missing


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i 
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_link -plibparrot-dev usr/lib/libparrot.so.$(SOVERSION) usr/lib/libparrot.so
	dh_compress -pparrot-doc -X.pod
	dh_compress -plibparrot-dev
	dh_fixperms -i
	chmod +x debian/parrot-devel/usr/lib/parrot/$(VERSION)/tools/dev/mk_language_shell.pl
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installman -pparrot-minimal debian/parrot.1
	dh_installman -pparrot-devel debian/parrot_debugger.1 debian/pbc_disassemble.1 debian/pbc_dump.1 debian/pbc_merge.1 debian/parrot_config.1 debian/pbc_to_exe.1 debian/parrot-nqp.1 debian/ops2c.1
	dh_installdocs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -plibparrot$(SOVERSION)
	dh_shlibdeps -a -Llibparrot$(SOVERSION) -l$(CURDIR)/debian/libparrot$(SOVERSION)/usr/lib
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## parrot 4.0.0

=== debian/changelog ===
parrot (4.0.0-3) unstable; urgency=low

  * Team upload
  * Added configure flag to explicitly exclude gmp, opengl, pcre and zlib from
    build dependencies

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 23 Apr 2012 13:23:45 +0200

parrot (4.0.0-2) unstable; urgency=low

  * Team upload
  * parrot-minimal Provides parrotapi-X.Y.Z
    - parrot-devel Depends on parrotapi-X.Y.Z
  * Add 01_fix_alignment_issues_on_ia64_sparc_and_mipsel.patch to fix FTBFS
    on ia64, sparc and mipsel

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 21 Apr 2012 13:11:47 +0200

parrot (4.0.0-1) unstable; urgency=low

  [ Allison Randal ]
  * New upstream release
  * debian/patches:
    - Removed 01_fix_spelling_errors.patch, change included upstream.
  * debian/parrot.docs:
    - Removed NEWS, no longer exists upstream.
  * debian/parrot-devel.install:
    - Removed binary parrot_debugger, no longer installed upstream.
  * debian/rules
    - Removed manpage generation and installation for parrot_debugger,
      no longer installed upstream.
    - Added files to the clean list, revealed in new git packaging
      workflow: build-arch-stamp, build-indep-stamp, pbc_to_exe.1,
      parrot-nqp.1, ops2c.1.
    - Added configure flag to explicitly exclude libffi from build
      dependencies (Closes: #636944)
  * debian/control.in:
    - Bumped Standards-Version to 3.9.3.
  * debian/copyright:
    - Updated copyright format to 1.0
    - Updated copyright years to 2012
  * Dropped debian/libparrot*.symbols file (library exports private
    symbols, API/ABI not stable)

  [ Alessandro Ghedini ]
  * Enable ICU support
    - Build depend on libicu-dev
  * parrot-minimal Breaks rakudo (<< 0.1~2012.01)

 -- Allison Randal <allison@parrot.org>  Fri, 06 Apr 2012 20:59:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
 Uploaders: Allison Randal <allison@parrot.org>, Nuno Carvalho <mestre.smash@gmail.com>, Patrick Michaud <pmichaud@pobox.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libreadline-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libicu-dev, libreadline-dev
+Standards-Version: 3.9.3
 Homepage: http://parrot.org
 
 Package: parrot
@@ -13,6 +13,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, parrot-minimal (= ${binary:Version})
 Suggests: parrot-doc
 Provides: parrot-test, parrot-data-dumper
+Breaks: rakudo ( << 0.1~2012.01 )
 Description: virtual machine for dynamic languages
  Parrot is a bytecode-based virtual machine designed for dynamic languages.
  Parrot hosts a variety of language implementations, including Tcl, Javascript,
@@ -23,12 +24,13 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: parrot ( << 1.0.0 )
 Replaces: parrot ( << 1.0.0 )
+Provides: parrotapi-4.0.0
 Description: minimal install of the Parrot VM
  This package contains the core Parrot virtual machine. It's all that you need
  to get up and running in the average use case, and is sufficient to run most
  language implementations.
 
-Package: libparrot3.6.0
+Package: libparrot4.0.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -39,7 +41,7 @@
 Package: libparrot-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libparrot3.6.0 (= ${binary:Version}), parrot
+Depends: ${misc:Depends}, libparrot4.0.0 (= ${binary:Version}), parrot
 Description: Parrot shared library development files
  This package contains header files and a static library, needed to develop
  applications which embed Parrot.
@@ -57,7 +59,7 @@
 Package: parrot-devel
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, libparrot-dev, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-4.0.0, libparrot-dev, perl
 Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
 Conflicts: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
 Replaces: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 configure: configure-stamp
 configure-stamp: debian-control-stamp $(QUILT_STAMPFN)
 	dh_testdir
-	perl Configure.pl --prefix=/usr --mandir=/usr/share/man --disable-rpath
+	perl Configure.pl --prefix=/usr --mandir=/usr/share/man --disable-rpath --without-libffi --without-gmp --without-opengl --without-pcre --without-zlib
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -47,7 +47,6 @@
 	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" tools/dev/parrot-config.pir debian/parrot_config.1
 	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_dump/main.c debian/pbc_dump.1
 	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_disassemble/main.c debian/pbc_disassemble.1
-	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/parrot_debugger/main.c debian/parrot_debugger.1
 	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_merge/main.c debian/pbc_merge.1
 	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" tools/dev/pbc_to_exe.pir debian/pbc_to_exe.1
 	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" ext/nqp-rx/parrot-nqp.pod debian/parrot-nqp.1
@@ -57,7 +56,7 @@
 clean: debian-control-stamp
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp debian-control-stamp debian/parrot.1 debian/parrot_config.1 debian/pbc_dump.1 debian/pbc_disassemble.1 debian/parrot-debugger.1 debian/pbc_merge.1 debian/libparrot$(SOVERSION).install src/main.o installable_pbc_to_exe ext/Parrot-Embed/Makefile.PL test.c test.ldo
+	rm -f build-stamp build-arch-stamp build-indep-stamp configure-stamp debian-control-stamp debian/parrot.1 debian/parrot_config.1 debian/pbc_dump.1 debian/pbc_disassemble.1 debian/pbc_merge.1 debian/pbc_to_exe.1 debian/parrot-nqp.1 debian/ops2c.1 debian/libparrot$(SOVERSION).install src/main.o installable_pbc_to_exe ext/Parrot-Embed/Makefile.PL test.c test.ldo
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean 
 
@@ -97,7 +96,7 @@
 	dh_testroot -a
 	dh_installchangelogs -a ChangeLog
 	dh_installman -pparrot-minimal debian/parrot.1
-	dh_installman -pparrot-devel debian/parrot_debugger.1 debian/pbc_disassemble.1 debian/pbc_dump.1 debian/pbc_merge.1 debian/parrot_config.1 debian/pbc_to_exe.1 debian/parrot-nqp.1 debian/ops2c.1
+	dh_installman -pparrot-devel debian/pbc_disassemble.1 debian/pbc_dump.1 debian/pbc_merge.1 debian/parrot_config.1 debian/pbc_to_exe.1 debian/parrot-nqp.1 debian/ops2c.1
 	dh_installdocs -a
 	dh_strip -a
 	dh_compress -a

## parrot 4.3.0

=== debian/changelog ===
parrot (4.3.0-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Drop 01_fix_alignment_issues_on_ia64_sparc_and_mipsel.patch
    (merged upstream)
  * Provide debhelper plugin
  * Remove Breaks on rakudo (no more needed)
  * Build with security hardening flags
  * Add 01_use_icu-config_ldflags-libsonly.patch to fix a FTBFS
    (Closes: #675895)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 08 Jun 2012 12:05:14 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, parrot-minimal (= ${binary:Version})
 Suggests: parrot-doc
 Provides: parrot-test, parrot-data-dumper
-Breaks: rakudo ( << 0.1~2012.01 )
 Description: virtual machine for dynamic languages
  Parrot is a bytecode-based virtual machine designed for dynamic languages.
  Parrot hosts a variety of language implementations, including Tcl, Javascript,
@@ -24,13 +23,13 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: parrot ( << 1.0.0 )
 Replaces: parrot ( << 1.0.0 )
-Provides: parrotapi-4.0.0
+Provides: parrotapi-4.3.0
 Description: minimal install of the Parrot VM
  This package contains the core Parrot virtual machine. It's all that you need
  to get up and running in the average use case, and is sufficient to run most
  language implementations.
 
-Package: libparrot4.0.0
+Package: libparrot4.3.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -41,7 +40,7 @@
 Package: libparrot-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libparrot4.0.0 (= ${binary:Version}), parrot
+Depends: ${misc:Depends}, libparrot4.3.0 (= ${binary:Version}), parrot
 Description: Parrot shared library development files
  This package contains header files and a static library, needed to develop
  applications which embed Parrot.
@@ -59,7 +58,7 @@
 Package: parrot-devel
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-4.0.0, libparrot-dev, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-4.3.0, libparrot-dev, perl
 Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
 Conflicts: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
 Replaces: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,10 @@
 #!/usr/bin/make -f
 
-CFLAGS = -Wall -g
+CFLAGS  = $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 VERSION = $(shell cat VERSION)
 SOVERSION = $(VERSION)
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 
 CONTROL_FILES = \
   debian/control.in \
@@ -31,7 +27,10 @@
 configure: configure-stamp
 configure-stamp: debian-control-stamp $(QUILT_STAMPFN)
 	dh_testdir
-	perl Configure.pl --prefix=/usr --mandir=/usr/share/man --disable-rpath --without-libffi --without-gmp --without-opengl --without-pcre --without-zlib
+	perl Configure.pl --ccflags="$(CFLAGS)" --ldflags="$(LDFLAGS)"	\
+		--prefix=/usr --mandir=/usr/share/man --disable-rpath	\
+		--without-libffi --without-gmp --without-opengl		\
+		--without-pcre --without-zlib
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -51,12 +50,13 @@
 	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" tools/dev/pbc_to_exe.pir debian/pbc_to_exe.1
 	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" ext/nqp-rx/parrot-nqp.pod debian/parrot-nqp.1
 	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" compilers/opsc/README.pod debian/ops2c.1
+	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" debian/dh_parrot debian/dh_parrot.1
 	touch build-indep-stamp
 
 clean: debian-control-stamp
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp build-arch-stamp build-indep-stamp configure-stamp debian-control-stamp debian/parrot.1 debian/parrot_config.1 debian/pbc_dump.1 debian/pbc_disassemble.1 debian/pbc_merge.1 debian/pbc_to_exe.1 debian/parrot-nqp.1 debian/ops2c.1 debian/libparrot$(SOVERSION).install src/main.o installable_pbc_to_exe ext/Parrot-Embed/Makefile.PL test.c test.ldo
+	rm -f build-stamp build-arch-stamp build-indep-stamp configure-stamp debian-control-stamp debian/parrot.1 debian/parrot_config.1 debian/pbc_dump.1 debian/pbc_disassemble.1 debian/pbc_merge.1 debian/pbc_to_exe.1 debian/parrot-nqp.1 debian/ops2c.1 debian/dh_parrot.1 debian/libparrot$(SOVERSION).install src/main.o installable_pbc_to_exe ext/Parrot-Embed/Makefile.PL test.c test.ldo
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean 
 
@@ -96,7 +96,7 @@
 	dh_testroot -a
 	dh_installchangelogs -a ChangeLog
 	dh_installman -pparrot-minimal debian/parrot.1
-	dh_installman -pparrot-devel debian/pbc_disassemble.1 debian/pbc_dump.1 debian/pbc_merge.1 debian/parrot_config.1 debian/pbc_to_exe.1 debian/parrot-nqp.1 debian/ops2c.1
+	dh_installman -pparrot-devel debian/pbc_disassemble.1 debian/pbc_dump.1 debian/pbc_merge.1 debian/parrot_config.1 debian/pbc_to_exe.1 debian/parrot-nqp.1 debian/ops2c.1 debian/dh_parrot.1
 	dh_installdocs -a
 	dh_strip -a
 	dh_compress -a

## parrot 4.6.0

=== debian/changelog ===
parrot (4.6.0-1) unstable; urgency=low

  * New upstream release
  * Revert "Add patch to fix ia64 ftbs (hopefully)" since it didn't work
  * Add 04_fix_hurd_ftbfs.patch to fix build on hurd-i386.
    Thanks to Svante Signell (Closes: #686266)
  * Drop 01_use_icu-config_ldflags-libsonly.patch (merged upstream)
  * Generate binaries manpages from docs/binaries/ directory
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Add myself and Dominique to Uploaders, remove Nuno and Patrick

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 16 Oct 2012 14:33:28 +0200

parrot (4.3.0-2) unstable; urgency=low

  * Team upload
  * patch build configuration code to fix ia64 ftbs (hopefully)

 -- Dominique Dumont <dod@debian.org>  Tue, 17 Jul 2012 17:03:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
-Uploaders: Allison Randal <allison@parrot.org>, Nuno Carvalho <mestre.smash@gmail.com>, Patrick Michaud <pmichaud@pobox.com>
+Uploaders: Allison Randal <allison@parrot.org>,
+ Alessandro Ghedini <ghedo@debian.org>,
+ Dominique Dumont <dod@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libicu-dev, libreadline-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://parrot.org
 
 Package: parrot
@@ -23,24 +25,24 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: parrot ( << 1.0.0 )
 Replaces: parrot ( << 1.0.0 )
-Provides: parrotapi-4.3.0
+Provides: parrotapi-4.6.0
 Description: minimal install of the Parrot VM
  This package contains the core Parrot virtual machine. It's all that you need
  to get up and running in the average use case, and is sufficient to run most
  language implementations.
 
-Package: libparrot4.3.0
+Package: libparrot4.6.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Parrot shared library
  This package contains the Parrot shared library, used by the Parrot virtual
  machine and by programs that embed Parrot.
- 
+
 Package: libparrot-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libparrot4.3.0 (= ${binary:Version}), parrot
+Depends: ${misc:Depends}, libparrot4.6.0 (= ${binary:Version}), parrot
 Description: Parrot shared library development files
  This package contains header files and a static library, needed to develop
  applications which embed Parrot.
@@ -58,7 +60,7 @@
 Package: parrot-devel
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-4.3.0, libparrot-dev, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-4.6.0, libparrot-dev, perl
 Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
 Conflicts: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
 Replaces: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )

=== debian/rules ===
--- 
+++ 
@@ -42,15 +42,15 @@
 
 build-indep: build-indep-stamp
 build-indep-stamp: configure-stamp 
-	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" docs/running.pod debian/parrot.1
-	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" tools/dev/parrot-config.pir debian/parrot_config.1
-	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_dump/main.c debian/pbc_dump.1
+	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" docs/binaries/parrot.pod        debian/parrot.1
+	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" docs/binaries/parrot_config.pod debian/parrot_config.1
+	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" docs/binaries/parrot-nqp.pod    debian/parrot-nqp.1
+	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" docs/binaries/pbc_to_exe.pod    debian/pbc_to_exe.1
+	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" docs/binaries/ops2c.pod         debian/ops2c.1
+	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_dump/main.c        debian/pbc_dump.1
 	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_disassemble/main.c debian/pbc_disassemble.1
-	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_merge/main.c debian/pbc_merge.1
-	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" tools/dev/pbc_to_exe.pir debian/pbc_to_exe.1
-	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" ext/nqp-rx/parrot-nqp.pod debian/parrot-nqp.1
-	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" compilers/opsc/README.pod debian/ops2c.1
-	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" debian/dh_parrot debian/dh_parrot.1
+	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" frontend/pbc_merge/main.c       debian/pbc_merge.1
+	pod2man --section=1 --release="Debian Project" --center="Debian GNU/Linux manual" debian/dh_parrot                debian/dh_parrot.1
 	touch build-indep-stamp
 
 clean: debian-control-stamp

## parrot 5.0.0

=== debian/changelog ===
parrot (5.0.0-1) unstable; urgency=low

  * New upstream release
  * Drop 04_fix_hurd_ftbfs.patch (merged upstream)
  * parrot-devel.install: library/config.pir no longer installed upstream
  * debian/control: Drop deprecated DM-Upload-Allowed
  * debian/copyright: Updated copyright years to 2013

 -- Allison Randal <allison@parrot.org>  Sun, 24 Feb 2013 10:37:06 -0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Allison Randal <allison@parrot.org>,
  Alessandro Ghedini <ghedo@debian.org>,
  Dominique Dumont <dod@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libicu-dev, libreadline-dev
 Standards-Version: 3.9.4
 Homepage: http://parrot.org
@@ -25,13 +24,13 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: parrot ( << 1.0.0 )
 Replaces: parrot ( << 1.0.0 )
-Provides: parrotapi-4.6.0
+Provides: parrotapi-5.0.0
 Description: minimal install of the Parrot VM
  This package contains the core Parrot virtual machine. It's all that you need
  to get up and running in the average use case, and is sufficient to run most
  language implementations.
 
-Package: libparrot4.6.0
+Package: libparrot5.0.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -42,7 +41,7 @@
 Package: libparrot-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libparrot4.6.0 (= ${binary:Version}), parrot
+Depends: ${misc:Depends}, libparrot5.0.0 (= ${binary:Version}), parrot
 Description: Parrot shared library development files
  This package contains header files and a static library, needed to develop
  applications which embed Parrot.
@@ -60,7 +59,7 @@
 Package: parrot-devel
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-4.6.0, libparrot-dev, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-5.0.0, libparrot-dev, perl
 Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
 Conflicts: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
 Replaces: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )

## parrot 5.9.0

=== debian/changelog ===
parrot (5.9.0-1build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 04:58:33 +0000

parrot (5.9.0-1) unstable; urgency=low

  * New upstream release
  * Update control and *.install to new release
  * Fix ICU header detection (Closes: #724336)
  * Refresh patches
  * Remove outdated Conflicts/Replaces on parrot 1.0.0

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 24 Oct 2013 15:27:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: parrot
 Section: interpreters
 Priority: optional
-Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
 Uploaders: Allison Randal <allison@parrot.org>,
  Alessandro Ghedini <ghedo@debian.org>,
  Dominique Dumont <dod@debian.org>
@@ -22,15 +23,13 @@
 Package: parrot-minimal
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: parrot ( << 1.0.0 )
-Replaces: parrot ( << 1.0.0 )
-Provides: parrotapi-5.0.0
+Provides: parrotapi-5.9.0
 Description: minimal install of the Parrot VM
  This package contains the core Parrot virtual machine. It's all that you need
  to get up and running in the average use case, and is sufficient to run most
  language implementations.
 
-Package: libparrot5.0.0
+Package: libparrot5.9.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -41,7 +40,7 @@
 Package: libparrot-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libparrot5.0.0 (= ${binary:Version}), parrot
+Depends: ${misc:Depends}, libparrot5.9.0 (= ${binary:Version}), parrot
 Description: Parrot shared library development files
  This package contains header files and a static library, needed to develop
  applications which embed Parrot.
@@ -59,10 +58,8 @@
 Package: parrot-devel
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-5.0.0, libparrot-dev, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-5.9.0, libparrot-dev, perl
 Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
-Conflicts: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
-Replaces: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
 Description: Parrot development tools
  This package contains development tools for the Parrot virtual machine. It is
  essential for developing language implementations to run on Parrot, but not

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 VERSION = $(shell cat VERSION)
 SOVERSION = $(VERSION)
+
+DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CONTROL_FILES = \
   debian/control.in \
@@ -29,6 +31,7 @@
 	dh_testdir
 	perl Configure.pl --ccflags="$(CFLAGS)" --ldflags="$(LDFLAGS)"	\
 		--prefix=/usr --mandir=/usr/share/man --disable-rpath	\
+		--icuheaders=/usr/include/$(DEB_HOST_MULTIARCH)		\
 		--without-libffi --without-gmp --without-opengl		\
 		--without-pcre --without-zlib
 	touch configure-stamp

## parrot 6.3.0

=== debian/changelog ===
parrot (6.3.0-1) unstable; urgency=medium

  * Imported Upstream version 6.3.0

 -- Dominique Dumont <dod@debian.org>  Sat, 26 Apr 2014 08:41:44 +0200

parrot (6.0.0-1) unstable; urgency=medium

  * Imported Upstream version 6.0.0
  * debian/rules: enable bigint support (Closes: #724450)
  + control: added Build-Dep on libgmp-dev
  * copyright: updated year to 2014

 -- Dominique Dumont <dod@debian.org>  Fri, 04 Apr 2014 13:58:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: parrot
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
+Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
 Uploaders: Allison Randal <allison@parrot.org>,
  Alessandro Ghedini <ghedo@debian.org>,
  Dominique Dumont <dod@debian.org>
-Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libicu-dev, libreadline-dev
+Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libgmp-dev, libicu-dev, libreadline-dev
 Standards-Version: 3.9.4
 Homepage: http://parrot.org
 
@@ -23,13 +22,13 @@
 Package: parrot-minimal
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: parrotapi-5.9.0
+Provides: parrotapi-6.3.0
 Description: minimal install of the Parrot VM
  This package contains the core Parrot virtual machine. It's all that you need
  to get up and running in the average use case, and is sufficient to run most
  language implementations.
 
-Package: libparrot5.9.0
+Package: libparrot6.3.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -40,7 +39,7 @@
 Package: libparrot-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libparrot5.9.0 (= ${binary:Version}), parrot
+Depends: ${misc:Depends}, libparrot6.3.0 (= ${binary:Version}), parrot
 Description: Parrot shared library development files
  This package contains header files and a static library, needed to develop
  applications which embed Parrot.
@@ -58,7 +57,7 @@
 Package: parrot-devel
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-5.9.0, libparrot-dev, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-6.3.0, libparrot-dev, perl
 Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
 Description: Parrot development tools
  This package contains development tools for the Parrot virtual machine. It is

## parrot 6.6.0

=== debian/changelog ===
parrot (6.6.0-1) unstable; urgency=medium

  * Imported Upstream version 6.6.0
  * control: bumped standards to 3.9.5

 -- Dominique Dumont <dod@debian.org>  Thu, 21 Aug 2014 19:38:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessandro Ghedini <ghedo@debian.org>,
  Dominique Dumont <dod@debian.org>
 Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libgmp-dev, libicu-dev, libreadline-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://parrot.org
 
 Package: parrot
@@ -22,13 +22,13 @@
 Package: parrot-minimal
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: parrotapi-6.3.0
+Provides: parrotapi-6.6.0
 Description: minimal install of the Parrot VM
  This package contains the core Parrot virtual machine. It's all that you need
  to get up and running in the average use case, and is sufficient to run most
  language implementations.
 
-Package: libparrot6.3.0
+Package: libparrot6.6.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -39,7 +39,7 @@
 Package: libparrot-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libparrot6.3.0 (= ${binary:Version}), parrot
+Depends: ${misc:Depends}, libparrot6.6.0 (= ${binary:Version}), parrot
 Description: Parrot shared library development files
  This package contains header files and a static library, needed to develop
  applications which embed Parrot.
@@ -57,7 +57,7 @@
 Package: parrot-devel
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-6.3.0, libparrot-dev, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-6.6.0, libparrot-dev, perl
 Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
 Description: Parrot development tools
  This package contains development tools for the Parrot virtual machine. It is

=== debian/watch ===
version=3

ftp://ftp.parrot.org/pub/parrot/releases/stable/([\d\.]+)/parrot-([\d\.]+).tar.gz

## parrot gpt-0.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = parrot_gpt
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
